Bug Hunting Session
Bug 75757 - remove inheritance to std::map and std::vector
Summary: remove inheritance to std::map and std::vector
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: krishna keshav
URL:
Whiteboard: ToBeReviewed target:5.2.0 target:5.3....
Keywords: difficultyBeginner, easyHack, skillCpp, topicCleanup
Depends on:
Blocks:
 
Reported: 2014-03-04 14:51 UTC by Markus Mohrhard
Modified: 2017-09-27 09:56 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Mohrhard 2014-03-04 14:51:38 UTC
We still have a few classes that inherit from std::vector and std::map.

The task is to find them (a few of them are in oox) and remove this inheritance. We should use private member variables instead.
Comment 1 Markus Mohrhard 2014-03-04 14:52:46 UTC
Making it an Easy Hack.
Comment 2 Miklos Vajna 2014-03-04 14:55:24 UTC
writerfilter::dmapper::PropertyMap is one such class:

http://opengrok.libreoffice.org/xref/core/writerfilter/source/dmapper/PropertyMap.hxx#91
Comment 3 Vasek 2014-03-12 22:27:53 UTC
Hi, I would like work on this bug. Do you have some advice which variables will be the best to use?
Comment 4 Markus Mohrhard 2014-03-13 01:15:36 UTC
(In reply to comment #3)
> Hi, I would like work on this bug. Do you have some advice which variables
> will be the best to use?

I'm not sure what you mean with that. Basically if a class inherits from std::map or std::vector right now you should remove the inheritance and add it as private member variable.

After that fixing all the compile errors and committing should do the job.

Does that help?
Comment 5 Vasek 2014-03-13 07:30:19 UTC
My mistake, I didn't understand. Now it is ok. I will work on it. Thanks
Comment 6 Jan Holesovsky 2014-03-19 16:36:59 UTC
As I have just talked to other guy that was a bit confused here; let me describe the task more thoroughly :-)

First - what is bad about inheriting from the container.  It is that that way, you are exposing much more functionality that would be necessary in this case; like all the container functionality that might be misused to overcome the API that is intended here.

So for the PropertyMap, as an example:

You want to remove the inheriting from _PropertyMap, and instead provide a

_PropertyMap m_aPropMap;

private member variable.

Then change all the find(), begin(), end() etc. to m_aPropMap->find(), m_aPropMap->begin(), m_aPropMap->end() so that the container methods are not exposed in any way, and the GetPropertyValues() and Insert() methods are the only way how to access the internal structure(s).
Comment 7 Markus Mohrhard 2014-03-19 17:26:35 UTC
Here is a commit where I did something similar to find a bug in oox for the oox::PropertyMap: http://cgit.freedesktop.org/libreoffice/core/commit/?id=f566585f0882e65778c424640b9312cb19b007b9
Comment 8 Commit Notification 2014-06-13 07:28:15 UTC
Shreyansh Gandhi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5028475adb6fa164c18b93ab7fb83b2256d78a89

fdo#75757: Remove inheritance from std::vector



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2014-07-10 05:08:29 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5e8b31f1d3507f4c93a164259e40b8da5b686343

fdo#75757: remove inheritance to std::vector



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2014-07-17 21:30:41 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fffc9b2f262a54a163ff43ceb769c95fa41344ff

fdo#75757: remove inheritance to std::vector



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2014-07-26 15:46:18 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d3293105512a3c25c5a17799a3bab6e0c7ff929d

fdo#75757: remove inheritance to std::map



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2014-07-27 08:14:55 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=537cda44576730525e30fd1ace2fcf8800cad2bb

fdo#75757: remove inheritance to std::vector



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2014-07-31 15:49:50 UTC
Matthew Pottage committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4c3ba3a413be7339115ea5e6edc825a8434cd345

fdo#75757: Remove inheritance from std::map.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2014-08-04 11:07:59 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c9be1193b0cf850aded26bd56a2ea63d02d808b1

fdo#75757: remove inheritance to std::vector



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2014-08-05 08:32:08 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a9bae49661f817236f0aa168dd2f054b6bca0b2b

fdo#75757: remove inheritance to std::vector



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2014-08-05 21:27:57 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=223f761330486ef4c4c47f3b92cfa6dd0ed9d56a

fdo#75757: remove inheritance to std::vector



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2014-08-07 14:29:51 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=248437e4fd0cbc0cc18c802a202c290644176faf

fdo#75757: remove inheritance to std::map



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2014-08-07 14:45:15 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=38a3d53d8b9e6dd66c19f721be9b4b3e350eb249

fdo#75757: remove inheritance to std::vector



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2014-08-09 15:26:16 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5932906656a9291b38811970cd933f05dd54eaac

fdo#75757: remove inheritance to std::vector



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2014-08-12 07:59:53 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4347d844646907ba31dc1e0c7f53c5a93d986c2a

fdo#75757: remove inheritance to std::vector



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2014-08-13 13:54:44 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a247b8257a904372fcc2330bd8820176d4a71ebd

fdo#75757: remove inheritance to std::vector



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 22 Commit Notification 2014-08-13 17:11:18 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=03889338f65ece7cac8e881b883db454e95e8fd7

fdo#75757: remove inheritance to std::vector



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 23 Commit Notification 2014-08-14 16:59:48 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6a686b41eeefa815b2635724e0abe6522fe1661b

fdo#75757: remove inheritance to std::vector



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 24 Commit Notification 2014-08-19 13:32:38 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=44afb981a587fb5b5e6fd9ba5c5b138526cfb04b

fdo#75757: remove inheritance to std::vector



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2014-08-20 14:09:53 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5e531e121fae61675fb358e814d49b70cfab14cf

fdo#75757: remove inheritance to std::vector



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 26 Commit Notification 2014-08-27 10:31:37 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=75028bd82ad51c5cd09942a457ce2960ece6fef5

fdo#75757: remove inheritance to std::vector



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 27 Commit Notification 2014-09-01 13:21:06 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e62ec6d0499e6c517713e7d5b1855a9b2c518219

fdo#75757: remove inheritance to std::vector



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 28 Commit Notification 2014-09-02 11:12:51 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7ea14056cb508b6035704e1124c9301fecb0c792

fdo#75757: remove inheritance to std::vector



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 29 Commit Notification 2014-09-05 15:39:13 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a2762333bc052212b44200adfe553e46b83e53d2

fdo#75757: remove inheritance to std::vector



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 30 Commit Notification 2014-09-05 15:47:19 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c0e378312cb18b1f783a6971c61b5d878e1d7538

fdo#75757: remove inheritance to std::vector



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 31 Commit Notification 2014-09-09 08:33:56 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c45be916f63477e7cd8b0fe54fd6935acf1526e4

fdo#75757: remove inheritance to std::vector



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 32 Commit Notification 2014-09-09 15:23:02 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a685de59fce89ab77e1e03b0044621c3f43a00c3

fdo#75757: remove inheritance to std::vector



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 33 Commit Notification 2014-09-10 15:55:08 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d707d025b6c3773538abd2eedc6dc4c6d869aa86

fdo#75757: remove inheritance to std::vector



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 34 Commit Notification 2014-09-11 13:33:57 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2f1a28cf8fcfdfc369cf91936062c4f942ec03dd

fdo#75757: remove inheritance to std::vector



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 35 Commit Notification 2014-09-16 10:36:38 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=474db92a1ab4dd1265b01c6247eeb5570acf7608

fdo#75757: remove inheritance to std::vector



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 36 Commit Notification 2014-09-24 20:01:37 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f8ac4e2c436505304df7020a86dfc202851a9cab

fdo#75757: remove inheritance to std::vector



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 37 Commit Notification 2014-09-25 08:26:17 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bad30ceceee6750b6ece0057080473383d216ea7

fdo#75757: remove inheritance to std::vector



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 38 Commit Notification 2014-09-25 08:54:55 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=805df2f4131be1a62e64da87cc990c07481b988f

fdo#75757: remove inheritance to std::vector



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 39 Commit Notification 2014-09-26 08:21:38 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b75b473e2ce6120d58023ee740b41cda35299d00

fdo#75757: remove inheritance to std::vector



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 40 Commit Notification 2014-09-28 17:47:15 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cfd1310bef1f8c61b53fa0343f95da4abae0f583

fdo#75757: remove inheritance to std::vector



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 41 Commit Notification 2014-10-01 19:57:15 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8eae6dc82e85ede74a0676759f698bea79fb7fd9

fdo#75757: remove inheritance to std::vector



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 42 Commit Notification 2014-10-01 20:06:37 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=af046d12d27bc4f87a3c0142dba749d21c8eec7d

fdo#75757: remove inheritance to std::map



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 43 UP8 group4 2014-10-24 08:23:13 UTC
Hello,

We are a group of four computer sciences students from Paris8 University, and we are working for this bug's solving in the context of a programming class.
We will warn you if we found something useful about this.
Comment 44 Commit Notification 2014-11-13 09:19:42 UTC
Juan Picca committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a81af704a4e930d1f8f9b307fa8508118f90ea98

fdo#75757: remove inheritance to std::map

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 45 Commit Notification 2014-11-14 13:15:54 UTC
Juan Picca committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2ec556b0726e51010aebaa4849195444fda4aa1d

fdo#75757: remove inheritance to std::map

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 46 Commit Notification 2014-11-18 09:33:46 UTC
Michaël Lefèvre committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9e5a221f4e530873b19df1b280bb19124b8d8c68

fdo#75757 remove inheritance from std::vector

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 47 Commit Notification 2014-11-18 11:33:09 UTC
Michaël Lefèvre committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=63d8977f9fb0618d36dc8e0ee2f8068b1af92fe6

fdo#75757 remove inheritance from std::vector

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 48 Commit Notification 2014-11-25 03:09:03 UTC
Juan Picca committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ee42495de1279f9966dd2305966ab96711403463

fdo#75757: remove inheritance to std::map

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 49 Björn Michaelsen 2014-12-02 18:58:51 UTC
Blocking fdo#86929 -- at least for getting this ultimately to simple C++11 for() iteration, see https://bugs.freedesktop.org/show_bug.cgi?id=86929#c3. SwShellCrsr being a std::vector<> the (or: one of the) blocker here.
Comment 50 Commit Notification 2014-12-17 08:20:42 UTC
Michaël Lefèvre committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7c181e5e0aa218ba0abff6c8ea42e107f59bf3f0

fdo#75757 Remove inheritance to std::vector

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 51 Commit Notification 2015-01-07 13:15:23 UTC
Michaël Lefèvre committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=28b61d7a2839aebc7458312d312dc6cdb03a8b3f

fdo#75757 remove inheritance to std::vector

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 52 Commit Notification 2015-01-07 15:49:17 UTC
Matthew Pottage committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2c71f383019e0ac13b83aabd3011d7f7b55a62b3

fdo#75757: Remove inheritance from std::vector.

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 53 Commit Notification 2015-01-16 09:14:24 UTC
Ashod Nakashian committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d598c30d6e5a776430a3294dcde2e4ead2d65e08

fdo#75757: remove inheritance to std::vector

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 54 Commit Notification 2015-01-19 12:51:43 UTC
Michaël Lefèvre committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3a626669b4b7c804aebda34009af5ee1d905116e

fdo#75757 Remove inheritance from std::vector

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 55 Commit Notification 2015-02-06 22:13:36 UTC
Matthew Pottage committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4f7a1f5b9499d5fbeff413a4914283c2bfe7c2d9

fdo#75757: Remove inheritance from std::vector

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 56 Matteo Casalin 2015-02-24 20:11:19 UTC
I was wondering: would private inheritance at the same time limit the public interface and allow us to use C++11 aliases, saving some coding?

From example (sw/inc/swregion.hxx):


typedef std::vector<SwRect> SwRects;

class SwRegionRects : public SwRects


could become


typedef std::vector<SwRect> SwRects;

class SwRegionRects : private SwRects
{
...
public:

    // only use a limited interface from SwRects
    using SwRects::size_type;
    using SwRects::operator[];
    using SwRects::size;
    using SwRects::empty;
    using SwRects::assign;
    using SwRects::begin;
    using SwRects::end;

...

Would this work?
Comment 57 Miklos Vajna 2015-02-25 08:27:30 UTC
No, please use private member variables instead of inheritance. Private inheritance is still inheritance and has the same problems.
Comment 58 Robinson Tryon (qubit) 2015-12-14 06:35:00 UTC Comment hidden (obsolete)
Comment 59 Luke 2015-12-16 01:32:59 UTC
Please review Bug 86552 / commit 68d87e98951ae3ed5f7b863954667bfdd9805985 for a trap to avoid when making this change.
Comment 60 Robinson Tryon (qubit) 2016-02-18 14:52:25 UTC Comment hidden (obsolete)
Comment 61 jani 2016-04-18 07:40:43 UTC
If this issue is still open, a fresh code pointer would be needed
Comment 62 Commit Notification 2016-05-19 18:52:36 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a4ae9b147d0a83b811836757e9634a884260cee8

tdf#75757: remove inheritance on vector (SwTableBoxes)

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 63 Commit Notification 2016-07-26 15:37:18 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d357334a0237bda6d9c090990d44e46c6af8edf3

tdf#75757 Remove inheritance to std::vector

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 64 Commit Notification 2016-07-28 13:41:52 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7a887df4db129ac5222fd4068173b5a06d107a59

Related: tdf#75757 remove inheritance from std::deque

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 65 Commit Notification 2016-09-22 19:24:04 UTC
Jochen Nitschke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c30fbfba96ab2d8d6229d7f4010718bd2b3c97d9

tdf#75757 remove inheritance from std::vector

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 66 Commit Notification 2016-09-30 05:28:31 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8e812b87ff7f8c5bf2c6f8858646c55effd2eea3

tdf#75757 Remove inheritance from std container

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 67 Commit Notification 2016-10-06 05:53:29 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f32b300c9e071c2bdee2a7b925200feb93add702

tdf#75757 Remove inheritance from std::vector

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 68 Commit Notification 2017-09-27 09:56:07 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f7445e1014815a9eb02e2c22257bbce32dc43589

tdf#75757 comphelper: avoid STL inheritance in SequenceAsHashMap

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.